Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

cPanel & WHM versionUpgrade requirements

Upgrade blockers

 

80MySQL® 5.6 and later, or any version of MariaDB®.MySQL 5.5
78
  • EasyApache 4
  • LiteSpeed version 5.3.6 or later.
  • EasyApache 3
  • LiteSpeed version 5.3.5 and earlier.
76NoneNone
74NoneNone
72NoneNone
70NoneNone
68
  • LiteSpeed version 5.2.1 build 2 or later.
  • The ea-apache24-config-runtime package version 1.0-113 or later.
  • LiteSpeed version 5.2.1 build 1 and earlier.
  • The ea-apache24-config-runtimepackage version 1.0-112 and earlier.
66

None

Note
titleNote:

After the upgrade to cPanel & WHM version 66 finishes, WHM users in an active session must refresh their browser windows. Until they do, they may see additional frames within the WHM interface on each page load.


None
64NoneNone
62MySQL® version 5.5 and later.MySQL version 5.1 and earlier.
60

SNI support.

Apache (httpd) 2.2.11 or older
58Only available for 64-bit systems.
  • CentOS 5, RHEL 5, and CloudLinux 5.
  • 32-bit systems.
  • The perl514 RPM target is set to installed or unmanaged.
56NoneNone
54NoneNone
11.52
  • New installations on CloudLinux and RHEL 7 servers require at least 1 GB of RAM, and are only available for 64-bit systems.
  • New installations on Amazon® Linux are only available for 64-bit systems.
None
11.50New installations on CentOS 7 servers require at least 1 GB of RAM, and are only available for 64-bit systems.None
11.48NoneNone
11.46None
  • Microsoft® FrontPage® Extensions
  • The cpanel-php53 RPM target is set to installed.
11.44NoneNone
11.42NoneNone
11.40NoneNone
11.38NoneInterchange is enabled.
11.36
  • At least 1.6 GB of space available in the /usr/local/cpanel / directory
  • cPanel package updates set to Automatic or Inherit. For more information on how to set the cPanel package updates to Automatic or Inherit, read the cPanel package updates section below.

Note
titleNote:

When you upgrade to cPanel & WHM version 11.36, the cPanel & WHM update process may rebuild your Exim configuration. We recommend that you check your Exim configuration after you upgrade to cPanel & WHM version 11.36.


  • Less than 1.6 GB available in the /usr/local/cpanel directory.
  • The /usr/local/cpanel/scripts/sysup script is disabled.

  • Third-party packages are disabled.

11.34
  • CentOS 5 or newer, CloudLinux™ 5 or newer, or RHEL 5 or newer
  • MySQL® 5.0 or newer
  • CentOS 4 or earlier, CloudLinux 4 or earlier or RHEL 4 or earlier
  • MySQL 4.x or earlier
11.32
  • CentOS 4 or newer or Red Hat® Enterprise Linux (RHEL) 4 or newer.
  • The Maildir mail storage format. For more information on how to convert the mbox mail storage system to Maildir, read our How to Convert mbox Accounts to Maildir documentation. 
  • Exim 4.77 or newer. To install Exim 4.77, enable Exim updates in WHM's  Update Preferences interface (WHM >> Home >> Server Configuration >> Update Preferences).
  • The /var/cpanel/sysinfo.config file must exist and must contain entries. For more information on the /var/cpanel/sysinfo.config file, read the sysinfo.config section below.
  • FreeBSD®
  • CentOS 3 or earlier
  • Red Hat 3 or earlier
  • The mbox mail storage system
  • Exim 4.0 or earlier
  • The /var/cpanel/sysinfo.config file is empty or does not exist.
11.30NoneNone

Additional blocker information

cPanel & WHM version 80

MySQL 5.6 or newer required

cPanel & WHM version 80 requires that your server runs MySQL version 5.6 or newer. You must upgrade to at least MySQL version 5.6 or any version of MariaDB before you can upgrade your cPanel & WHM server.

You can upgrade your MySQL version in WHM's MySQL or MariaDB Upgrade interface  (WHM >> Home >> Software >> MariaDB/MySQL Upgrade).

Remote MySQL 5.6 or newer required

cPanel & WHM version 80 requires that any remote database servers with active connections run MySQL version 5.6 or newer. You must upgrade those servers to at least MySQL version 5.6 or any version of MariaDB before you can upgrade your cPanel & WHM server.

You can check your remote database server profiles in WHM's Manage MySQL Profiles interface (WHM >> Home >> SQL Services >> Manage MySQL Profiles).

cPanel & WHM version 78

EasyApache 4 required

You must migrate to EA4 before you upgrade to cPanel & WHM version 78. You can migrate to EasyApache 4 from WHM's EasyApache 4 interface (WHM >> Home >> Software >> EasyApache 4). For more information, read our How to Install or Uninstall EasyApache 4 and The EasyApache 3 to EasyApache 4 Migration Process documentation. 

...